<template>
  <q-layout view="lHh Lpr lFf">
    <q-header class="proxy-app-header">
      <q-toolbar>
        <img src="logo.png" class="proxy-app-logo" />
        <div class="title">Example Proxy App {{ appName }}</div>
        <q-space />
        <div class="text-gray">Version {{ appVersion }}</div>
      </q-toolbar>
    </q-header>
    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>
<script>
import { defineComponent } from "vue";
import package_json from "../../package";

export default defineComponent({
  name: "MainLayout",
  setup() {
    const appName = process.env.APP_NAME;
    const appVersion = package_json.version;
    return { appVersion, appName };
  },
});
</script>

<style lang="css" scoped>
.proxy-app-header {
  background-color: #1c1c21;
  height: 53px;
  border-bottom: 5px solid black;
}
.proxy-app-logo {
  height: 36px;
}

.title {
  margin-left: 10px;
  font-weight: bold;
}
</style>
